/* You can add global styles to this file, and also import other style files */
:root {
  --primary-color: #009985;
  --text-color: #dddddd;
  --border-color: #99999c;
  --card-color: #343437;
  --background-color: #333336;
  --hover-olor: #00bba5;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  font-size: 1rem;
  line-height: 1.6;
  background-color: var(--background-color);
  color: var(--text-color);
}

a {
  color: var(--primary-color);
  text-decoration: none;
  &:hover {
    color: var(--hover-olor);
  }
}

ul {
  list-style: none;
}

input {
  display: block;
  width: 100%;
  padding: 0.4rem;
  font-size: 1.2rem;
  border: 1px solid var(--border-color);
  outline: none;
  margin-bottom: 0.4rem;
  background-color: var(--background-color);
  color: var(--text-color);
}

.btn {
  display: inline-block;
  background-color: var(--text-color);
  color: var(--text-color);
  font-weight: bold;
  padding: 0.4rem 1.2rem;
  font-size: 1rem;
  border: none;
  cursor: pointer;
  transition: opacity 0.2s;
  outline: none;

  &:disabled {
    background-color: var(--border-color);
    cursor: not-allowed;
  }

  &:hover:not(:disabled) {
    opacity: 0.8;
  }
}

.btn-primary {
  background-color: var(--primary-color);
}

.center {
  text-align: center;
}
